Compiling errors

I’m trying to compile drapes 0.5.2 from source. It’s a Gnome application. I’ve installed all the mono, gcc, and gcms I think I need, ./configure runs swimmingly, but make shows problems.

max@linux-vra9:~/Desktop/drapes-0.5.2> ./configure
checking build system type… i686-pc-linux-gnu
checking host system type… i686-pc-linux-gnu
checking target system type… i686-pc-linux-gnu
checking for a BSD-compatible install… /usr/bin/install -c
checking whether build environment is sane… yes
checking for gawk… gawk
checking whether make sets $(MAKE)… yes
checking whether to enable maintainer-specific portions of Makefiles… no
checking for style of include used by make… GNU
checking for gcc… gcc
checking for C compiler default output file name… a.out
checking whether the C compiler works… yes
checking whether we are cross compiling… no
checking for suffix of executables…
checking for suffix of object files… o
checking whether we are using the GNU C compiler… yes
checking whether gcc accepts -g… yes
checking for gcc option to accept ISO C89… none needed
checking dependency style of gcc… none
checking for intltool >= 0.21… 0.36.2 found
checking for perl… /usr/bin/perl
checking for XML::Parser… ok
checking for a BSD-compatible install… /usr/bin/install -c
checking for pkg-config… /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0… yes
checking for UNMANAGED_DEPENDENCIES_MONO… yes
checking for UNMANAGED_DEPENDENCIES_MINT… no
checking for mono… /usr/bin/mono
checking for gmcs… /usr/bin/gmcs
checking for GTKSHARP… yes
checking for gconftool-2… /usr/bin/gconftool-2
Using config source xml::/etc/gconf/gconf.xml.schemas for schema installation
Using $(sysconfdir)/gconf/schemas as install directory for schema files
checking how to run the C preprocessor… gcc -E
checking for grep that handles long lines and -e… /usr/bin/grep
checking for egrep… /usr/bin/grep -E
checking for ANSI C header files… yes
checking for sys/types.h… yes
checking for sys/stat.h… yes
checking for stdlib.h… yes
checking for string.h… yes
checking for memory.h… yes
checking for strings.h… yes
checking for inttypes.h… yes
checking for stdint.h… yes
checking for unistd.h… yes
checking locale.h usability… yes
checking locale.h presence… yes
checking for locale.h… yes
checking for LC_MESSAGES… yes
checking libintl.h usability… yes
checking libintl.h presence… yes
checking for libintl.h… yes
checking for ngettext in libc… yes
checking for dgettext in libc… yes
checking for bind_textdomain_codeset… yes
checking for msgfmt… /usr/bin/msgfmt
checking for dcgettext… yes
checking if msgfmt accepts -c… yes
checking for gmsgfmt… /usr/bin/msgfmt
checking for xgettext… no
checking for catalogs to be installed… ca cs de es fa fi fr it kk ko nl pl pt_BR pt sv th tr zh_CN zh_HK
configure: creating ./config.status
config.status: creating Makefile
config.status: creating drapes/Makefile
config.status: creating scripts/Makefile
config.status: creating help/Makefile
config.status: creating data/Makefile
config.status: creating data/images/Makefile
config.status: creating po/Makefile.in
config.status: creating man/Makefile
config.status: executing depfiles commands
config.status: executing intltool commands
config.status: executing default-1 commands
config.status: executing po/stamp-it commands

Configuration summary

  • Installation prefix = /usr/local
  • C# compiler = /usr/bin/gmcs

max@linux-vra9:~/Desktop/drapes-0.5.2> make
Making all in drapes
make[1]: Entering directory /home/max/Desktop/drapes-0.5.2/drapes' sed -e "s,@]ASM_VERSION/@],0.5.2.*," \ -e "s,@]datadir/@],/usr/local/share," \ -e "s,@]prefix/@],/usr/local," \ -e "s,@]version/@],0.5.2," \ -e "s,@]helpdir/@],/usr/local/share/gnome/help," \ < AssemblyInfo.cs.in > AssemblyInfo.cs /usr/bin/gmcs -debug -r:System.Xml -r:Mono.Posix -pkg:gconf-sharp-2.0 -pkg:glade-sharp-2.0 -pkg:gnome-vfs-sharp-2.0 -resource:../data/drapes.glade,drapes.glade \ -unsafe+ -target:exe -out:"drapes.exe" \ ./AssemblyInfo.cs ./panelapplet/*.cs ./About.cs ./Applet.cs ./AppletWidget.cs ./ConfigMenuWidgets.cs ./ConfigMenu.cs ./Main.cs ./Settings.cs ./Traylib.cs ./Wallpaper.cs ./WpList.cs ./panelapplet/ChangeBackgroundHandler.cs(11,30): error CS0234: The type or namespace name PanelAppletBackgroundType’ does not exist in the namespace Gnome'. Are you missing an assembly reference? ./panelapplet/PanelApplet.cs(463,26): warning CS0109: The member _Gnome.PanelApplet.SetupMenuFromResource(System.Reflection.Assembly, string, _Gnome.BonoboUIVerb])’ does not hide an inherited member. The new keyword is not required
./AppletWidget.cs(38,25): warning CS0612: Gtk.Tooltips' is obsolete ./AppletWidget.cs(39,23): error CS0234: The type or namespace name IconTheme’ does not exist in the namespace Gnome'. Are you missing an assembly reference? ./ConfigMenu.cs(34,13): warning CS0612: Gtk.Tooltips’ is obsolete
./Main.cs(49,63): error CS0234: The type or namespace name Program' does not exist in the namespace Gnome’. Are you missing an assembly reference?
./Main.cs(50,35): error CS0234: The type or namespace name Client' does not exist in the namespace Gnome’. Are you missing an assembly reference?
./Main.cs(190,52): error CS0234: The type or namespace name SaveYourselfArgs' does not exist in the namespace Gnome’. Are you missing an assembly reference?
Compilation failed: 5 error(s), 3 warnings
make[1]: *** [drapes.exe] Error 1
make[1]: Leaving directory `/home/max/Desktop/drapes-0.5.2/drapes’
make: *** [all-recursive] Error 1
max@linux-vra9:~/Desktop/drapes-0.5.2>

Hi
Looking at your problem, you need to modify the
~/Desktop/drapes-0.5.2/drapes/Makefile.in at line 223 and add the pkg
reference indicated by →


-r:Mono.Posix				\
->	-pkg:gnome-sharp-2.0	\
-pkg:gconf-sharp-2.0		\


Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 11.1 x86 Kernel 2.6.27.7-9-default
up 3 days 20:01, 2 users, load average: 1.36, 1.18, 0.58
GPU GeForce 6600 TE/6200 TE - Driver Version: 180.22

[quote=“Malcolm”]

Hi
I just tried and still see an error, this needs to be;


-r:Mono.Posix				\
->	-pkg:gnome-sharp-2.0	\
->    -pkg:gnome-panel-sharp-2.24 \
-pkg:gconf-sharp-2.0		\


Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 11.1 x86 Kernel 2.6.27.7-9-default
up 4:34, 3 users, load average: 0.26, 0.38, 0.40
GPU GeForce 6600 TE/6200 TE - Driver Version: 180.22

Thanks a lot. That fixed a lot of problems, but it’s still not compiling.

I’ve set up …/drapes-0.5.2/drapes/makefile.in as such:

(...)
ASSEMBLIES = \
	-r:System.Xml				\
	-r:Mono.Posix				\
	->	-pkg:gnome-sharp-2.0	\
	->    -pkg:gnome-panel-sharp-2.24 \
	-pkg:gconf-sharp-2.0		\
	-pkg:glade-sharp-2.0		\
	-pkg:gnome-vfs-sharp-2.0
(...)

And the make spits out this:

max@linux-vra9:~/Desktop/drapes-0.5.2> make
Making all in drapes
make[1]: Entering directory `/home/max/Desktop/drapes-0.5.2/drapes'
/usr/bin/gmcs -debug  -r:System.Xml -r:Mono.Posix -&gt;	-pkg:gnome-sharp-2.0 -&gt;    -pkg:gnome-panel-sharp-2.24 -pkg:gconf-sharp-2.0 -pkg:glade-sharp-2.0 -pkg:gnome-vfs-sharp-2.0 -resource:../data/drapes.glade,drapes.glade  \
	-unsafe+ -target:exe -out:"drapes.exe" \
	./AssemblyInfo.cs ./panelapplet/*.cs ./About.cs ./Applet.cs ./AppletWidget.cs ./ConfigMenuWidgets.cs ./ConfigMenu.cs ./Main.cs ./Settings.cs ./Traylib.cs ./Wallpaper.cs ./WpList.cs
error CS2007: Unrecognized command-line option: `-'
make[1]: *** [drapes.exe] Error 1
make[1]: Leaving directory `/home/max/Desktop/drapes-0.5.2/drapes'
make: *** [all-recursive] Error 1

I’m thinking I should maybe drop this entire line of enquiry and boot KDE, since it has a wallpaper changer integrated (and seems to be the de jure on openSUSE rather than Gnome]

Hi
I’ve packaged it, so if you head here and search for drapes :slight_smile:
Get It

Don’t try and add as an applet, there are acknowledged problems here,
just start it and it will live happily in the task area.


Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 11.1 x86 Kernel 2.6.27.7-9-default
up 23:54, 1 user, load average: 4.32, 4.24, 4.21
GPU GeForce 6600 TE/6200 TE - Driver Version: 180.22

Hi
I just noticed, you don’t need to add the → that was just an
indicator…


Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 11.1 x86 Kernel 2.6.27.7-9-default
up 1 day 0:00, 1 user, load average: 4.03, 4.15, 4.17
GPU GeForce 6600 TE/6200 TE - Driver Version: 180.22